Package org.eclipse.viatra.query.patternlanguage.emf

## Class EMFPatternLanguageStandaloneCompilerModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule
        - - org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule
          - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule
            - - org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageStandaloneCompilerModule

- All Implemented Interfaces:
    `com.google.inject.Module`

      public class EMFPatternLanguageStandaloneCompilerModule
      extends EMFPatternLanguageRuntimeModule

  Since:
    2.0

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EMFPatternLanguageStandaloneCompilerModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<? extends org.eclipse.xtext.resource.XtextResource>` | `bindXtextResource()` |

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.EMFPatternLanguageRuntimeModule

      `bindAnnotationExpressionValidator, bindAnnotationValidatorLoader, bindIBatchScopeProvider, bindIClassLoaderProvider, bindICrossReferenceSerializer, bindIDefaultResourceDescriptionStrategy, bindIErrorFeedback, bindIExpectedPackageNameProvider, bindIFormatter, bindIFragmentProvider, bindIGeneratorConfigProvider, bindIGlobalServiceProvider, bindIIssueCallback, bindIJvmModelInferrer, bindILinkingService, bindILogicalContainerProvider, bindIMetamodelProvider, bindIPureWhitelistExtensionProvider, bindIQualifiedNameProvider, bindISyntaxErrorMessageProvider, bindITypeInferrer, bindITypeSystem, bindJvmModelAssociator, bindPatternAnnotationProvider, configureClasspathValidation, configureIScopeProviderDelegate, configurePatternReuse, configureQueryGroupGeneration`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.AbstractEMFPatternLanguageRuntimeModule

      `bindClassLoaderToInstance, bindDefaultBatchTypeResolver, bindDefaultReentrantTypeResolver, bindEMFPatternLanguageValidator, bindFeatureNameValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIGlobalScopeProvider, bindIGrammarAccess, bindILocationInFileProvider, bindIParser, bindIResourceValidator, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindIUnorderedGroupHelper, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsPersisted, configureLanguageName, configureRewritableImportSectionEnablement, configureRuntimeLexer, provideInternalEMFPatternLanguageLexer`

    - ### Methods inherited from class org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule

      `bindAbstractFileSystemAccess2, bindCancelableDiagnostician, bindConfigurableIssueCodesProvider, bindEObjectAtOffsetHelper, bindIdentifiableSimpleNameProvider, bindIDerivedStateComputer, bindIEvaluationContext, bindIExpressionInterpreter, bindIGenerator, bindIJavaDocReferenceProvider, bindILinker, bindILinkingDiagnosticMessageProvider, bindIPartialParserHelper, bindIQualifiedNameConverter, bindIResourceDescription$Manager, bindIScopeProvider, bindIStratumBreakpointSupport, bindIValueConverterService, bindJvmTypeReferencesValidator, bindLineSeparatorHarmonizer, bindNodeModelBuilder, bindProjectConfigProvider, bindSeverityConverter, bindStaticImplicitMethodsFeatureForTypeProvider$ExtensionClassNameProvider, bindSTRINGValueConverter, bindTargetURICollector, bindUniqueClassNameValidator, bindXtypeFactoryToInstance, configureITransientValueService, configureLinkingIScopeProvider, configureSerializerIScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindINodeModelFormatter, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureIsAffectedExtensions, configureRuntimeEncodingProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageStandaloneCompilerModule

          public EMFPatternLanguageStandaloneCompilerModule()

  - ### Method Detail

    - #### bindXtextResource

          public java.lang.Class<? extends org.eclipse.xtext.resource.XtextResource> bindXtextResource()

      Overrides:
        `bindXtextResource` in class `org.eclipse.xtext.xbase.DefaultXbaseRuntimeModule`